<Type Name="AppDomainFactory" FullName="System.Web.Hosting.AppDomainFactory">
  <TypeSignature Language="C#" Value="public sealed class AppDomainFactory : IAppDomainFactory" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Web.Hosting.IAppDomainFactory</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Create">
      <MemberSignature Language="C#" Value="public virtual object Create (string module, string typeName, string appId, string appPath, string strUrlOfAppOrigin, int iZone);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="module" Type="System.String" />
        <Parameter Name="typeName" Type="System.String" />
        <Parameter Name="appId" Type="System.String" />
        <Parameter Name="appPath" Type="System.String" />
        <Parameter Name="strUrlOfAppOrigin" Type="System.String" />
        <Parameter Name="iZone" Type="System.Int32" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="module">To be added: an object of type 'string'</param>
        <param name="typeName">To be added: an object of type 'string'</param>
        <param name="appId">To be added: an object of type 'string'</param>
        <param name="appPath">To be added: an object of type 'string'</param>
        <param name="strUrlOfAppOrigin">To be added: an object of type 'string'</param>
        <param name="iZone">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public AppDomainFactory ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'AppDomainFactory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
